# Get all secrets from a secret store

`GET /v1.0/secrets/{secretStoreName}/bulk`

This endpoint lets you get all the secrets in a secret store.  It's recommended to use token authentication for Dapr if configuring a secret store.

## Request

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `secretStoreName` | string | Yes | The name of the secret store to get the secrets from. Pattern: `^[a-zA-Z0-9_-]+$`. |

## Responses

### 200 — Secrets retrieved successfully

`application/json`

JSON object containing secret names as fields and a map of secret keys and values as the field value.

Type: `object<string, object<string, string>>`.

### 400 — Secret store is missing or misconfigured

### 403 — Access denied

### 500 — Failed to get secret or no secret stores defined
